2017-08-18 01:00 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0011400CentOS-7httpdpublic2017-03-02 10:36
Reporterfranz 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version7.0-1406 
Target VersionFixed in Version7.3.1611 
Summary0011400: Apache 2.4.6 ignores Timeout Value in httpd.conf
DescriptionAn error slipped in the apache 2.4.6 version so that the Timeout is hardcoded to 30s and can't be configured. It has been fixed in 2.4.8.
https://bz.apache.org/bugzilla/show_bug.cgi?id=54973#c6
the fix : https://bz.apache.org/bugzilla/attachment.cgi?id=30833&action=diff

This is a major issue because on heavy loaded websites, especially ecommerce ones, you need to change this value or else your server may have many errors like "(70007)The timeout specified has expired:", which indicate that the communication has been interrupted because the delay has been exceeded, which could lead to major bugs on the website since code has not been executed like it should.



Is it planned to integrate the fix to the 2.4.6 version ?
Or do we have to wait that centos 7 upgrades its apache package to 2.4.8 ?

Any intel would be appreciated on this issue :)
Steps To ReproduceModify httpd.conf by adding a directive like "Timeout 180" and confirms that it is not applied.
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0027398

wolfy (developer)

Please verify if the beta of RHEL 7.3 includes this fix. If it does not, file a bug against httpd in bugzilla.redhat.com => RHEL => 7. Once RH releases an updated version, CentOS will inherit it automatically.

~0028733

franz (reporter)

Just to say that after upgrading to Centos 7.1, I made an yum update httpd and got an update for the 2.4.6 Apache. The major version is still the same but now the timeout 30s is not hardcoded anymore, so it must have been fixed in minor patches.

~0028734

tigalch (manager)

Marking as SOLVED per reporters feedback
+Notes

-Issue History
Date Modified Username Field Change
2016-08-31 13:07 franz New Issue
2016-08-31 13:15 wolfy Note Added: 0027398
2017-03-02 10:31 franz Note Added: 0028733
2017-03-02 10:36 tigalch Status new => resolved
2017-03-02 10:36 tigalch Resolution open => fixed
2017-03-02 10:36 tigalch Fixed in Version => 7.3.1611
2017-03-02 10:36 tigalch Note Added: 0028734
+Issue History